<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <title>New Location :: Conference GO!</title>
    <script type="module" src="js/new-location.js"></script>
  </head>
  <body>
    <header>
      <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
          <a class="navbar-brand" href="/">Conference GO!</a>
          <button
            class="navbar-toggler"
            type="button"
            data-bs-toggle="collapse"
            data-bs-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent"
            aria-expanded="false"
            aria-label="Toggle navigation"
          >
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
              <li class="nav-item">
                <a class="nav-link" aria-current="page" href="/">Home</a>
              </li>
              <li class="nav-item">
                <a
                  class="nav-link active"
                  aria-current="page"
                  href="new-location.html"
                  >New location</a
                >
              </li>
              <li class="nav-item">
                <a
                  class="nav-link"
                  aria-current="page"
                  href="new-conference.html"
                  >New conference</a
                >
              </li>
            </ul>
            <form class="d-flex">
              <input
                class="form-control me-2"
                type="search"
                placeholder="Search conferences"
                aria-label="Search"
              />
              <button class="btn btn-outline-success" type="submit">
                Search
              </button>
            </form>
          </div>
        </div>
      </nav>
    </header>
    <main>
      <div class="container">
        <div class="row">
          <div class="offset-3 col-6">
            <div class="shadow p-4 mt-4">
              <h1>Create a new location</h1>
              <form id="create-location-form">
                <div class="form-floating mb-3">
                  <input
                    placeholder="Name"
                    required
                    type="text"
                    name="name"
                    id="name"
                    class="form-control"
                  />
                  <label for="name">Name</label>
                </div>
                <div class="form-floating mb-3">
                  <input
                    placeholder="Room count"
                    required
                    type="number"
                    name="room_count"
                    id="room_count"
                    class="form-control"
                  />
                  <label for="room_count">Room count</label>
                </div>
                <div class="form-floating mb-3">
                  <input
                    placeholder="City"
                    required
                    type="text"
                    name="city"
                    id="city"
                    class="form-control"
                  />
                  <label for="city">City</label>
                </div>
                <div class="mb-3">
                  <select name="state" required id="state" class="form-select">
                    <option selected value="">Choose a state</option>
                  </select>
                </div>
                <button class="btn btn-primary">Create</button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </main>
  </body>
</html>
